Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 51)
@@ -69,63 +69,67 @@
         private enum DispGridColumn
         {
             /// <summary>
-            /// 表示日付
+            ///  1:表示日付
             /// </summary>
             DispDays = 0,
             /// <summary>
-            /// 支払日日付
+            ///  2:支払日日付
             /// </summary>
             Days,
             /// <summary>
-            /// 工事番号
+            ///  3:工事番号
             /// </summary>
             ConstractionCode,
             /// <summary>
-            /// 工事名称
+            ///  4:工事名称
             /// </summary>
             ConstractionName,
             /// <summary>
-            /// 支払い内容
+            ///  5:支払い内容
             /// </summary>
             PaymentContent,
             /// <summary>
-            /// 個人クレジット
+            ///  6:個人クレジット
             /// </summary>
             PaymentButton1,
             /// <summary>
-            /// 現金
+            ///  7:現金
             /// </summary>
             PaymentButton2,
             /// <summary>
-            /// 法人クレジット
+            ///  8:法人クレジット
             /// </summary>
             PaymentButton3,
             /// <summary>
-            /// 支払い方法種別
+            ///  9:支払い方法種別
             /// </summary>
             PaymentType,
             /// <summary>
-            /// 支払い方法種別名称
+            /// 10:支払い方法種別名称
             /// </summary>
             PaymentTypeName,
             /// <summary>
-            /// 支払い金額
+            /// 11:税抜支払金額
             /// </summary>
             EntryPrice,
             /// <summary>
-            /// 仕入れ先コード
+            /// 12:税込支払金額
             /// </summary>
+            EntryPriceInTax,
+            /// <summary>
+            /// 13:仕入れ先コード
+            /// </summary>
             SuppliersCode,
             /// <summary>
-            /// 仕入れ先名称
+            /// 14:仕入れ先名称
             /// </summary>
             SuppliersName,
             /// <summary>
-            /// 固定フラグ
+            /// 15:固定フラグ
             /// </summary>
             FixFlg,
             /// <summary>
-            /// データ追加番号
+            /// 16:データ追加番号
             /// </summary>
             DataAddCount,
         }
@@ -370,6 +374,9 @@
                 // 担当者のセット
                 SetcombBoxPerson();
 
+                // コンボボックス初期表示
+                InitCombBox();
+
                 // 初期表示
                 InitDataLoad();
 
@@ -425,9 +432,6 @@
 
                 // 終了ボタンがONならば前プロセスに戻る
                 if (m_CloseingProcessOn) ClsExcute.BackProcess();
-
-                // 終了時に工事詳細台帳とのデータ連携を行う
-                LinkageLedgerData();
             }
             catch (System.Exception ex)
             {
@@ -577,21 +581,6 @@
         }
         #endregion
 
-        #region セルクリック
-        /// <summary>
-        /// セルクリック
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void dgvPage_CellClick(object sender, DataGridViewCellEventArgs e)
-        {
-            //int CurTabCnt = TabControl1.SelectedIndex;
-            //int RowCnt = m_dispGridControl[CurTabCnt].CurrentRow.Index;
-
-            //InputAreaButtonLock(CurTabCnt, RowCnt);
-        }
-        #endregion
-
         int cmbDepartment_index = -1;
         #region 部署コンボボックス変更前取得
         /// <summary>
@@ -611,13 +600,13 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbDepartment_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
         {
             if (m_bInitFlg) return;
-            
+
             if (m_bChengeAns)
             {
-                if (MessageBox.Show("データに変更があります、登録しますか？。"
+                if (MessageBox.Show("データに変更があります、登録せずに部署を変更しますか？。"
                                 , "部署変更確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
@@ -628,12 +617,15 @@
 
             // 担当者コンボボックスをセットする
             SetcombBoxPerson();
-            
+
             // データ表示
             for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
             {
                 // データを表示する
                 SetGridData(ix);
+
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
             }
 
             // データ変更フラグクリア
@@ -660,13 +652,13 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbConstructionPerson_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
         {
             if (m_bInitFlg) return;
-            
+
             if (m_bChengeAns)
             {
-                if (MessageBox.Show("データに変更があります、登録しますか？。"
+                if (MessageBox.Show("データに変更があります、登録せずに担当者を変更しますか？。"
                                 , "担当者変更確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
@@ -674,11 +666,15 @@
                     return;
                 }
             }
+            SetPerosonToDepartment();
             // データ表示
             for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
             {
                 // データを表示する
                 SetGridData(ix);
+
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
             }
 
             // データ変更フラグクリア
@@ -711,7 +707,7 @@
 
             if (m_bChengeAns)
             {
-                if (MessageBox.Show("データに変更があります、登録しますか？。"
+                if (MessageBox.Show("データに変更があります、登録せずに年月を変更しますか？。"
                                 , "対象年月変更確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
                 {
@@ -725,6 +721,9 @@
             {
                 // データを表示する
                 SetGridData(ix);
+
+                // 参照時はロックする
+                if (m_EditLock) SeeModeLock(ix, true);
             }
 
             // データ変更フラグクリア
@@ -742,6 +741,9 @@
         {
             try
             {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
                 DataGridView dgv = (DataGridView)sender;
                 DataGridViewRow dgvRow = dgv.CurrentRow;
 
@@ -803,6 +805,9 @@
         {
             try
             {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
                 // 対象タブページ取得
                 int CurTabCnt = TabControl1.SelectedIndex;
 
@@ -840,17 +845,36 @@
             // データ登録処理
             if (!DataEntryProcess()) return;
 
-            // 初期表示
-            int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+            // 終了時に工事詳細台帳とのデータ連携を行う
+            LinkageLedgerData();
+
+            CommonMotions.EntryEndMessage("交通費・購入品データ");
+
+            bool bSelFlg = false;
+            // 新セキュリティデータ対応済みかを確認する
+            if (CommonMotions.LoginUserData.SecCode == 0)
+            {
+                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+                if (CommonMotions.LoginUserData.SecurityManagement == User) bSelFlg = true;
+            }
+            else
+            {
+                int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+                if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+            }
+            
             // 一般ユーザーは登録後終了する
-            if (CommonMotions.LoginUserData.SecurityManagement == User)
+            if (bSelFlg)
             {
                 this.Close();
             }
             else
             {
-                cmbDepartment.SelectedIndex = -1;
-                cmbConstructionPerson.SelectedIndex = -1;
+                // 対象がコンボボックスデータにあればセットする
+                if (SearchDepartmentCombBoxItem(CommonMotions.LoginUserData.DepartmentCode))
+                    cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                if (SearchPersonCombBoxItem(CommonMotions.LoginUserData.PersonCode))
+                    cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
             }
         }
         #endregion
@@ -865,11 +889,28 @@
         {
             // データ削除処理
             if (!RemoveGridData()) return;
-            
-            // 初期表示
-            int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
-            if (CommonMotions.LoginUserData.SecurityManagement == User)
+
+            // 終了時に工事詳細台帳とのデータ連携を行う
+            LinkageLedgerData();
+
+            CommonMotions.RemoveEndMessage("交通費・購入品データ");
+
+            bool bSelFlg = false;
+            // 新セキュリティデータ対応済みかを確認する
+            if (CommonMotions.LoginUserData.SecCode == 0)
             {
+                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+                if (CommonMotions.LoginUserData.SecurityManagement == User) bSelFlg = true;
+            }
+            else
+            {
+                int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+                if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+            }
+
+            // 一般ユーザーは登録後終了する
+            if (bSelFlg)
+            {
                 this.Close();
             }
             else
@@ -890,6 +931,9 @@
         {
             try
             {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
                 // データグリッドがActiveでなければ処理しない
                 if (ActiveControl == null) return;
                 if (!ActiveControl.GetType().Equals(typeof(DataGridViewEX)))
@@ -933,20 +977,38 @@
         {
             try
             {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
                 DataGridView dgv = (DataGridView)sender;
-                DataGridViewCell CurCell= dgv.CurrentCell;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+                DataGridViewCell CurCell = dgv.CurrentCell;
                 // 対象タブページ取得
                 int CurTabCnt = TabControl1.SelectedIndex;
-
+                double CurValue = 0;
+                double CalcValue = 0;
                 switch (e.ColumnIndex)
                 {
                     case (int)DispGridColumn.EntryPrice:
-                        // 支払金額
+                        CurValue = CommonMotions.cnvInt(CurCell.Value);
+                        // 税抜支払金額
                         CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
+                        CalcValue = CommonMotions.cnvRound(CurValue * (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                        CurRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value = CalcValue.ToString("#,#");
                         m_bChengeAns = true;
                         // 合計を表示する
                         TotalPrice(CurTabCnt);
                         break;
+                    case (int)DispGridColumn.EntryPriceInTax:
+                        CurValue = CommonMotions.cnvInt(CurCell.Value);
+                        // 税込支払金額
+                        CurCell.Value = CommonMotions.cnvInt(CurCell.Value).ToString("#,#");
+                        CalcValue = CommonMotions.cnvRound(CurValue / (1.00 + (CommonMotions.SystemMasterData.ConsumptionTax / 100.0)));
+                        CurRow.Cells[(int)DispGridColumn.EntryPrice].Value = CalcValue.ToString("#,#");
+                        m_bChengeAns = true;
+                        // 合計を表示する
+                        TotalPrice(CurTabCnt);
+                        break;
                     default:
                         break;
                 }
